Subject: RE: rfc2518-bis-04 issues (part 1)

From: Jason Crawford <[email-masked]>
Date: Wed, 30 Jul 2003 15:58:06 -0400

> > > 03-C03
> > >
> > > 4.4: "Note that the use of a new top-level URI identifier as a 
namespace
> > is
> > > considered by many to be a bad thing?"
> > >
> > > [as of draft 04 this now reads: "Note that "DAV:" is a top-level URI
> > > identifier that was defined
> > >    solely to provide a namespace for WebDAV XML elements and 
property
> > >    names.  This practice is discouraged in part because registration 
of
> > >    top-level URI identifiers is difficult. "DAV:" was defined as the
> > >    WebDAV namespace before standard best practices emerged, and this
> > >    namespace is kept and still used because of significant existing
> > >    deployments, but this should not be emulated. "]
> > >
> > > Rewrite as:
> > >
> > > "Note that both defining a new URI scheme just for the purpose of
> > > identifying protocol elements, and using just the scheme name as
> anamespace
> > > name is to be considered a bad practice, and should not be copied".
> > >
> >
> > The previous text seems clearer.  I'd not rewrite this.
> 
> It may "seem" clearer, but it isn't. Mainly
> 
> 1) usage of the term "top-level URI identifier" -- this isn't documented
> anywhere. We're talking about the URI scheme name, and thus should use 
that
> term.
> 2) the issues are exactly what I wrote: a) defining a new URI scheme 
without
> actually needing one, and b) using just the scheme name as namespace URI
> (which is illegal according to RFC2396).
>
> Therefore, this section should be rewritten accordingly.

I suspect a hybrid of your proposal and the old text would be best.

> > > [Issue 2 still needs to be resolved, the current text says: 
"Namespace
> > > prefixes need not be preserved due to the rules of prefix 
declaration in
> > > XML."]
> >
> > I have no opinion on prefix preservation.
> 
> It was pointed out that the prefixes are irrelevant, *unfortunately* 
this is
> not true, as they also may appear in attribute values (for instance in 
XSLT
> and XML Schema datatypes).

Yup.  Still no opinion.  If people feel these situations are significant, 
then
I don't have a problem with preserving prefixes.

> > > 03-C21:
> > >
> > > 8.2.: "Note that 'allprop' does not return values for all 
properties."
> > >
> > > Change to:
> > >
> > > "Note that 'allprop' does not return values for all live 
properties."
> >
> > All dead properties must be returned?  I didn't pick that up in our
> > discussions.
> 
> It never was discussed. RFC2518 guarantuees this and there never has 
been
> any discussion about changing this (why?).

I only ask because I recall discussions about whether they return all
properties and reasons we don't want to require that servers return all
properties, but I don't recall a discussion about how a server decides
what properties to return and definitely nothing about what a client can
assume about what the server has decided.  I could have overlooked
a discussion though.  I just want to give people a heads-up that
this wouild be a good time to speak up if you disagree with this text.